libnvme(2)

NAME
struct nvme_phy_rx_eom_log - Physical Interface Receiver Eye Opening Measurement Log

SYNOPSIS
struct nvme_phy_rx_eom_log {
__u8 lid;
__u8 eomip;
__le16 hsize;
__le32 rsize;
__u8 eomdgn;
__u8 lr;
__u8 odp;
__u8 lanes;
__u8 epl;
__u8 lspfc;
__u8 li;
__u8 rsvd15[3];
__le16 lsic;
__le32 dsize;
__le16 nd;
__le16 maxtb;
__le16 maxlr;
__le16 etgood;
__le16 etbetter;
__le16 etbest;
__u8 rsvd36[28];
struct nvme_eom_lane_desc descs[];
};

Members

lid Log Identifier

eomip
    EOM In Progress

hsize
    Header Size

rsize
    Result Size

eomdgn
    EOM Data Generation Number

lr  Log Revision

odp Optional Data Present

lanes
    Number of lanes configured for this port

epl Eyes Per Lane

lspfc
    Log Specific Parameter Field Copy

li  Link Information

rsvd15
    Reserved

lsic
    Log Specific Identifier Copy

dsize
    Descriptor Size

nd  Number of Descriptors

maxtb
    Maximum Top Bottom

maxlr
    Maximum Left Right

etgood
    Estimated Time for Good Quality

etbetter
    Estimated Time for Better Quality

etbest
    Estimated Time for Best Quality

rsvd36
    Reserved

descs
    EOM Lane Descriptors